Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.configuration
Class SshToolsConnectionProfile

    java.lang.Object
      com.sshtools.j2ssh.configuration.SshConnectionProperties
          com.sshtools.common.configuration.SshToolsConnectionProfile

public class SshToolsConnectionProfile
extends SshConnectionProperties

DOCUMENT ME!

Field Summary
`static int` | `DO_NOTHING` DOCUMENT ME!
`static int` | `EXECUTE_COMMANDS` DOCUMENT ME!
`static int` | `START_SHELL` DOCUMENT ME!

Fields inherited from class com.sshtools.j2ssh.configuration.SshConnectionProperties
`host, port, prefDecryption, prefEncryption, prefKex, prefPK, prefRecvComp, prefRecvMac, prefSendComp, prefSendMac, proxyHostname, proxyPassword, proxyPort, proxyUsername, transportProvider, USE_HTTP_PROXY, USE_SOCKS4_PROXY, USE_SOCKS5_PROXY, USE_STANDARD_SOCKET, username`

Constructor Summary
`SshToolsConnectionProfile()` Creates a new SshToolsConnectionProfile object.

Method Summary
`void` | `addAuthenticationMethod(SshAuthenticationClient method)` DOCUMENT ME!
`void` | `addLocalForwarding(ForwardingConfiguration config)` DOCUMENT ME!
`void` | `addRemoteForwarding(ForwardingConfiguration config)` DOCUMENT ME!
`boolean` | `disconnectOnSessionClose()` DOCUMENT ME!
`boolean` | `getAllowAgentForwarding()` DOCUMENT ME!
`java.lang.String` | `getApplicationProperty(java.lang.String name, java.lang.String defaultValue)` DOCUMENT ME!
`boolean` | `getApplicationPropertyBoolean(java.lang.String name, boolean defaultValue)` DOCUMENT ME!
`java.awt.Color` | `getApplicationPropertyColor(java.lang.String name, java.awt.Color defaultColor)` DOCUMENT ME!
`int` | `getApplicationPropertyInt(java.lang.String name, int defaultValue)` DOCUMENT ME!
`java.util.Map` | `getAuthenticationMethods()` DOCUMENT ME!
`java.lang.String` | `getCommandsToExecute()` DOCUMENT ME!
`java.util.Map` | `getLocalForwardings()` DOCUMENT ME!
`int` | `getOnceAuthenticatedCommand()` DOCUMENT ME!
`java.util.Map` | `getRemoteForwardings()` DOCUMENT ME!
`void` | `open(java.io.File file)` DOCUMENT ME!
`void` | `open(java.io.InputStream in)` DOCUMENT ME!
`void` | `open(java.lang.String file)` DOCUMENT ME!
`void` | `removeAuthenticaitonMethod(java.lang.String method)` DOCUMENT ME!
`void` | `removeLocalForwarding(java.lang.String name)` DOCUMENT ME!
`void` | `removeRemoteForwarding(java.lang.String name)` DOCUMENT ME!
`boolean` | `requiresPseudoTerminal()` DOCUMENT ME!
`void` | `save(java.lang.String file)` DOCUMENT ME!
`void` | `setAllowAgentForwarding(boolean allowAgentForwarding)` DOCUMENT ME!
`void` | `setApplicationProperty(java.lang.String name, boolean value)` DOCUMENT ME!
`void` | `setApplicationProperty(java.lang.String name, java.awt.Color value)` DOCUMENT ME!
`void` | `setApplicationProperty(java.lang.String name, int value)` DOCUMENT ME!
`void` | `setApplicationProperty(java.lang.String name, java.lang.String value)` DOCUMENT ME!
`void` | `setCommandsToExecute(java.lang.String executeCommands)` DOCUMENT ME!
`void` | `setDisconnectOnSessionClose(boolean disconnectOnSessionClose)` DOCUMENT ME!
`void` | `setOnceAuthenticatedCommand(int onceAuthenticated)` DOCUMENT ME!
`void` | `setRequiresPseudoTerminal(boolean requiresPseudoTerminal)` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.configuration.SshConnectionProperties
`getHost, getPort, getPrefCSComp, getPrefCSEncryption, getPrefCSMac, getPrefKex, getPrefPublicKey, getPrefSCComp, getPrefSCEncryption, getPrefSCMac, getProxyHost, getProxyPassword, getProxyPort, getProxyUsername, getTransportProvider, getTransportProviderString, getUsername, setHost, setPort, setPrefCSComp, setPrefCSEncryption, setPrefCSMac, setPrefKex, setPrefPublicKey, setPrefSCComp, setPrefSCEncryption, setPrefSCMac, setProxyHost, setProxyPassword, setProxyPort, setProxyUsername, setTransportProvider, setTransportProviderString, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DO_NOTHING

    public static final int DO_NOTHING

  DOCUMENT ME!

  See Also:
    Constant Field Values

### START_SHELL

    public static final int START_SHELL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### EXECUTE_COMMANDS

    public static final int EXECUTE_COMMANDS

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SshToolsConnectionProfile

    public SshToolsConnectionProfile()

  Creates a new SshToolsConnectionProfile object.

Method Detail

### getAuthenticationMethods

    public java.util.Map getAuthenticationMethods()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### requiresPseudoTerminal

    public boolean requiresPseudoTerminal()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### disconnectOnSessionClose

    public boolean disconnectOnSessionClose()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setRequiresPseudoTerminal

    public void setRequiresPseudoTerminal(boolean requiresPseudoTerminal)

  DOCUMENT ME!

  Parameters:
    `requiresPseudoTerminal` - DOCUMENT ME!

### setDisconnectOnSessionClose

    public void setDisconnectOnSessionClose(boolean disconnectOnSessionClose)

  DOCUMENT ME!

  Parameters:
    `disconnectOnSessionClose` - DOCUMENT ME!

### setOnceAuthenticatedCommand

    public void setOnceAuthenticatedCommand(int onceAuthenticated)

  DOCUMENT ME!

  Parameters:
    `onceAuthenticated` - DOCUMENT ME!

### getOnceAuthenticatedCommand

    public int getOnceAuthenticatedCommand()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setCommandsToExecute

    public void setCommandsToExecute(java.lang.String executeCommands)

  DOCUMENT ME!

  Parameters:
    `executeCommands` - DOCUMENT ME!

### getCommandsToExecute

    public java.lang.String getCommandsToExecute()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getApplicationProperty

    public java.lang.String getApplicationProperty(java.lang.String name,
                                                   java.lang.String defaultValue)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `defaultValue` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getApplicationPropertyInt

    public int getApplicationPropertyInt(java.lang.String name,
                                         int defaultValue)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `defaultValue` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getApplicationPropertyBoolean

    public boolean getApplicationPropertyBoolean(java.lang.String name,
                                                 boolean defaultValue)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `defaultValue` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getApplicationPropertyColor

    public java.awt.Color getApplicationPropertyColor(java.lang.String name,
                                                      java.awt.Color defaultColor)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `defaultColor` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### setApplicationProperty

    public void setApplicationProperty(java.lang.String name,
                                       java.lang.String value)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `value` - DOCUMENT ME!

### setApplicationProperty

    public void setApplicationProperty(java.lang.String name,
                                       int value)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `value` - DOCUMENT ME!

### setApplicationProperty

    public void setApplicationProperty(java.lang.String name,
                                       boolean value)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `value` - DOCUMENT ME!

### setApplicationProperty

    public void setApplicationProperty(java.lang.String name,
                                       java.awt.Color value)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `value` - DOCUMENT ME!

### addAuthenticationMethod

    public void addAuthenticationMethod(SshAuthenticationClient method)

  DOCUMENT ME!

  Parameters:
    `method` - DOCUMENT ME!

### addLocalForwarding

    public void addLocalForwarding(ForwardingConfiguration config)

  DOCUMENT ME!

  Parameters:
    `config` - DOCUMENT ME!

### addRemoteForwarding

    public void addRemoteForwarding(ForwardingConfiguration config)

  DOCUMENT ME!

  Parameters:
    `config` - DOCUMENT ME!

### getAllowAgentForwarding

    public boolean getAllowAgentForwarding()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setAllowAgentForwarding

    public void setAllowAgentForwarding(boolean allowAgentForwarding)

  DOCUMENT ME!

  Parameters:
    `allowAgentForwarding` - DOCUMENT ME!

### removeLocalForwarding

    public void removeLocalForwarding(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!

### removeRemoteForwarding

    public void removeRemoteForwarding(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!

### getLocalForwardings

    public java.util.Map getLocalForwardings()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getRemoteForwardings

    public java.util.Map getRemoteForwardings()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### open

    public void open(java.lang.String file)
              throws InvalidProfileFileException

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!
  Throws:
    `InvalidProfileFileException` - DOCUMENT ME!

### open

    public void open(java.io.File file)
              throws InvalidProfileFileException

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!
  Throws:
    `InvalidProfileFileException` - DOCUMENT ME!

### open

    public void open(java.io.InputStream in)
              throws InvalidProfileFileException

  DOCUMENT ME!

  Parameters:
    `in` - DOCUMENT ME!
  Throws:
    `InvalidProfileFileException` - DOCUMENT ME!

### removeAuthenticaitonMethod

    public void removeAuthenticaitonMethod(java.lang.String method)

  DOCUMENT ME!

  Parameters:
    `method` - DOCUMENT ME!

### save

    public void save(java.lang.String file)
              throws InvalidProfileFileException

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!
  Throws:
    `InvalidProfileFileException` - DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD